Bug 1142948 - nodejs-winston-3.3.3 is available
Summary: nodejs-winston-3.3.3 is available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-winston
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1274996 1274998 1275000
Blocks: 1082298
TreeView+ depends on / blocked
 
Reported: 2014-09-17 16:02 UTC by Upstream Release Monitoring
Modified: 2020-08-18 12:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-18 12:47:07 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.0.0 (#1142948) (1.08 KB, text/x-diff)
2015-04-08 01:45 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 1.0.1 (#1142948) (1.08 KB, text/x-diff)
2015-06-27 13:41 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 1.0.2 (#1142948) (1.08 KB, patch)
2015-09-26 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.0 (#1142948) (1.08 KB, patch)
2015-10-10 12:23 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.1 (#1142948) (1.08 KB, patch)
2015-10-19 00:50 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0 (#1142948) (1.08 KB, patch)
2015-10-31 00:38 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.1 (#1142948) (1.08 KB, patch)
2015-11-03 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.1.1 (#1142948) (1.08 KB, patch)
2015-11-19 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.2.0 (#1142948) (1.08 KB, patch)
2016-02-27 00:35 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (22.10 KB, patch)
2016-11-02 12:21 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (22.10 KB, patch)
2017-01-21 00:30 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.4.0 (#1142948) (1.08 KB, patch)
2017-10-02 12:33 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.3.3 (#1142948) (1.08 KB, patch)
2020-06-23 22:33 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-09-17 16:02:00 UTC
Latest upstream release: 0.8.0
Current version/release in Fedora Rawhide: 0.7.3-2.fc21
URL: http://registry.npmjs.org/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2014-10-08 11:33:03 UTC
Latest upstream release: 0.8.1
Current version/release in Fedora Rawhide: 0.7.3-2.fc21
URL: http://registry.npmjs.org/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2014-11-12 13:07:31 UTC
Latest upstream release: 0.8.3
Current version/release in Fedora Rawhide: 0.7.3-2.fc21
URL: http://registry.npmjs.org/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 3 Upstream Release Monitoring 2015-02-07 22:54:56 UTC
Latest upstream release: 0.9.0
Current version/release in Fedora Rawhide: 0.7.3-2.fc21
URL: http://registry.npmjs.org/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 4 Upstream Release Monitoring 2015-04-08 01:44:58 UTC
Latest upstream release: 1.0.0
Current version/release in rawhide: 0.7.3-2.fc21
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-04-08 01:45:04 UTC
Created attachment 1011994 [details]
[patch] Update to 1.0.0 (#1142948)

Comment 6 Upstream Release Monitoring 2015-04-08 01:49:41 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9433016

Comment 7 Upstream Release Monitoring 2015-06-27 13:41:21 UTC
Latest upstream release: 1.0.1
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-06-27 13:41:29 UTC
Created attachment 1043882 [details]
[patch] Update to 1.0.1 (#1142948)

Comment 9 Upstream Release Monitoring 2015-06-27 13:43:26 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10229344

Comment 10 Upstream Release Monitoring 2015-09-26 00:20:22 UTC
Latest upstream release: 1.0.2
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-09-26 00:20:28 UTC
Created attachment 1077307 [details]
[patch] Update to 1.0.2 (#1142948)

Comment 12 Upstream Release Monitoring 2015-09-26 00:22:05 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11233600

Comment 13 Upstream Release Monitoring 2015-10-10 12:23:15 UTC
Latest upstream release: 1.1.0
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-10-10 12:23:22 UTC
Created attachment 1081603 [details]
[patch] Update to 1.1.0 (#1142948)

Comment 15 Upstream Release Monitoring 2015-10-10 12:26:10 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11398454

Comment 16 Upstream Release Monitoring 2015-10-19 00:50:31 UTC
Latest upstream release: 1.1.1
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2015-10-19 00:50:38 UTC
Created attachment 1084233 [details]
[patch] Update to 1.1.1 (#1142948)

Comment 18 Upstream Release Monitoring 2015-10-19 00:53:34 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11495097

Comment 19 Piotr Popieluch 2015-10-24 18:15:54 UTC
Please approve ACL's so I can update, 
updating packages for newer nodejs-async

Comment 20 Upstream Release Monitoring 2015-10-31 00:38:30 UTC
Latest upstream release: 2.0.0
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 21 Upstream Release Monitoring 2015-10-31 00:38:38 UTC
Created attachment 1088119 [details]
[patch] Update to 2.0.0 (#1142948)

Comment 22 Upstream Release Monitoring 2015-10-31 00:44:11 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11645563

Comment 23 Upstream Release Monitoring 2015-11-03 12:18:42 UTC
Latest upstream release: 2.0.1
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 24 Upstream Release Monitoring 2015-11-03 12:18:50 UTC
Created attachment 1088950 [details]
[patch] Update to 2.0.1 (#1142948)

Comment 25 Upstream Release Monitoring 2015-11-03 12:24:39 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11686131

Comment 26 Upstream Release Monitoring 2015-11-19 00:22:58 UTC
Latest upstream release: 2.1.1
Current version/release in rawhide: 0.7.3-3.fc23
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 27 Upstream Release Monitoring 2015-11-19 00:23:05 UTC
Created attachment 1096446 [details]
[patch] Update to 2.1.1 (#1142948)

Comment 28 Upstream Release Monitoring 2015-11-19 00:29:35 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11896461

Comment 29 Upstream Release Monitoring 2016-02-27 00:35:08 UTC
Latest upstream release: 2.2.0
Current version/release in rawhide: 0.7.3-5.fc24
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 30 Upstream Release Monitoring 2016-02-27 00:35:18 UTC
Created attachment 1130964 [details]
[patch] Update to 2.2.0 (#1142948)

Comment 31 Upstream Release Monitoring 2016-02-27 00:41:53 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13143590

Comment 32 Upstream Release Monitoring 2016-11-02 12:21:44 UTC
Latest upstream release: 2.3.0
Current version/release in rawhide: 0.7.3-5.fc24
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 33 Upstream Release Monitoring 2016-11-02 12:21:55 UTC
Patching or scratch build for nodejs-winston-0.7.3 failed.

Comment 34 Upstream Release Monitoring 2016-11-02 12:21:57 UTC
Created attachment 1216526 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 35 Upstream Release Monitoring 2016-11-02 12:21:59 UTC
Following patches has been deleted:
['nodejs-winston-0.7.2-Remove-stream-tests.patch']

Comment 36 Upstream Release Monitoring 2016-11-02 12:22:00 UTC
Following patches has been modified:
['/var/tmp/thn-rhkuYvp1/rebase-helper-results/nodejs-winston-0.7.2-Remove-stream-tests.patch']

Comment 37 Upstream Release Monitoring 2016-11-02 12:22:02 UTC
Following patches has been unapplied:
['nodejs-winston-0.7.3-Shutdown-server.patch']

Comment 38 Upstream Release Monitoring 2017-01-21 00:29:58 UTC
Latest upstream release: 2.3.1
Current version/release in rawhide: 0.7.3-5.fc24
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 39 Upstream Release Monitoring 2017-01-21 00:30:08 UTC
Patching or scratch build for nodejs-winston-0.7.3 failed.

Comment 40 Upstream Release Monitoring 2017-01-21 00:30:10 UTC
Created attachment 1243065 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 41 Upstream Release Monitoring 2017-01-21 00:30:12 UTC
Following patches has been deleted:
['nodejs-winston-0.7.2-Remove-stream-tests.patch']

Comment 42 Upstream Release Monitoring 2017-01-21 00:30:14 UTC
Following patches has been modified:
['/var/tmp/thn-rhH6SvIO/rebase-helper-results/nodejs-winston-0.7.2-Remove-stream-tests.patch']

Comment 43 Upstream Release Monitoring 2017-01-21 00:30:15 UTC
Following patches has been unapplied:
['nodejs-winston-0.7.3-Shutdown-server.patch']

Comment 44 Upstream Release Monitoring 2017-10-02 12:33:43 UTC
Latest upstream release: 2.4.0
Current version/release in rawhide: 0.7.3-7.fc27
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 45 Upstream Release Monitoring 2017-10-02 12:33:48 UTC
Created attachment 1333215 [details]
[patch] Update to 2.4.0 (#1142948)

Comment 46 Upstream Release Monitoring 2017-10-02 12:35:13 UTC
hotness's scratch build of nodejs-winston-2.4.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22211152

Comment 47 Upstream Release Monitoring 2018-03-10 00:38:40 UTC
Latest upstream release: 3.0.0-rc2
Current version/release in rawhide: 0.7.3-8.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 48 Upstream Release Monitoring 2018-03-14 00:38:46 UTC
Latest upstream release: 2.4.1
Current version/release in rawhide: 0.7.3-8.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 49 Upstream Release Monitoring 2018-04-21 00:32:58 UTC
Latest upstream release: 2.4.2
Current version/release in rawhide: 0.7.3-8.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 50 Upstream Release Monitoring 2018-06-12 12:31:57 UTC
Latest upstream release: 2.4.3
Current version/release in rawhide: 0.7.3-8.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 51 Upstream Release Monitoring 2018-06-13 00:33:52 UTC
Latest upstream release: 3.0.0
Current version/release in rawhide: 0.7.3-8.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 52 Upstream Release Monitoring 2019-01-26 20:06:52 UTC
Latest upstream release: 3.2.0
Current version/release in rawhide: 0.7.3-10.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 53 Upstream Release Monitoring 2019-01-29 20:07:14 UTC
Latest upstream release: 3.2.1
Current version/release in rawhide: 0.7.3-10.fc29
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2168/

Comment 54 Ben Rosser 2019-08-26 20:17:30 UTC
winston is horrendously out of date. :(

On Fedora 30 at the moment it only has two dependencies:

$ dnf repoquery --whatrequires nodejs-winston
..
discord-irc-0:2.6.1-3.fc30.noarch
nodejs-prompt-0:0.2.14-8.fc30.noarch

I know that discord-irc (which I maintain) wants winston 3.x. I don't know about nodejs-prompt, but a quick look suggests it is *also* horrendously out of date.

https://www.npmjs.com/package/prompts?activeTab=versions

prompt seems to be used by two packages, both of which appear to be leaf packages in F30, and their high release numbers suggest they are probably also out of date.

$ dnf repoquery --whatrequires nodejs-prompt
...
nodejs-grunt-init-0:0.3.2-9.fc30.noarch
nodejs-muffin-0:0.9.0-13.fc30.noarch

Can winston be updated to a newer release?

Comment 55 Fedora Admin XMLRPC Client 2020-04-06 17:02:43 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 56 Fedora Admin user for bugzilla script actions 2020-05-12 02:47:57 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 57 Upstream Release Monitoring 2020-06-21 08:55:28 UTC
Latest upstream release: 3.3.0
Current version/release in rawhide: 0.7.3-13.fc33
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2168/

Comment 58 Upstream Release Monitoring 2020-06-21 08:55:31 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 59 Upstream Release Monitoring 2020-06-22 07:43:02 UTC
Latest upstream release: 3.3.1
Current version/release in rawhide: 0.7.3-13.fc33
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2168/

Comment 60 Upstream Release Monitoring 2020-06-22 07:43:05 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 61 Upstream Release Monitoring 2020-06-22 18:18:34 UTC
Latest upstream release: 3.3.2
Current version/release in rawhide: 0.7.3-13.fc33
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2168/

Comment 62 Upstream Release Monitoring 2020-06-22 18:18:37 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 63 Upstream Release Monitoring 2020-06-23 22:33:27 UTC
Latest upstream release: 3.3.3
Current version/release in rawhide: 0.7.3-13.fc33
URL: http://npmjs.org/package/winston

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2168/

Comment 64 Upstream Release Monitoring 2020-06-23 22:33:29 UTC
Created attachment 1698509 [details]
[patch] Update to 3.3.3 (#1142948)

Comment 65 Upstream Release Monitoring 2020-06-23 22:35:18 UTC
the-new-hotness/release-monitoring.org's scratch build of nodejs-winston-3.3.3-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=46063689

Comment 66 Miro Hrončok 2020-08-18 12:47:07 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement


Note You need to log in before you can comment on or make changes to this bug.